Page MenuHomePhabricator

Categories field in "Describe" step should have a placeholder to make it clearer that you can input multiple categories
Closed, ResolvedPublic

Description

Categories field in "Describe" step should have a placeholder, like "Add a category…", to make it clearer that you can input multiple categories there.

Mockup:

mw.widgets.CategorySelector or CapsuleMultiselectWidget don't have an option for this AFAICS, so this will probably require changes in OOjs UI too.

Discussed here: https://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2016/09#Category_changes_in_Wizard...

(This applies to both UploadWizard and the file upload dialog.)

Event Timeline

matmarex created this task.Oct 10 2016, 8:02 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 10 2016, 8:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 315195 had a related patch set uploaded (by Prtksxna):
CapsuleMultiselectWidget: Add placeholder option

https://gerrit.wikimedia.org/r/315195

Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 11 2016, 2:16 AM

Change 315195 merged by jenkins-bot:
CapsuleMultiselectWidget: Add placeholder option

https://gerrit.wikimedia.org/r/315195

Change 316320 had a related patch set uploaded (by Prtksxna):
CapsuleMultiSelectWidget: Always keep input as wide as placeholder text

https://gerrit.wikimedia.org/r/316320

Change 316320 merged by jenkins-bot:
CapsuleMultiSelectWidget: Always keep input as wide as placeholder text

https://gerrit.wikimedia.org/r/316320

Prtksxna claimed this task.Nov 2 2016, 6:14 AM
MarkTraceur triaged this task as Normal priority.Nov 16 2016, 7:21 PM

Change 323028 had a related patch set uploaded (by Prtksxna):
mw.widgets.CategorySelector: Add placeholder text

https://gerrit.wikimedia.org/r/323028

matmarex closed this task as Resolved.Nov 23 2016, 12:55 PM
matmarex removed a project: Patch-For-Review.

Change 323028 merged by jenkins-bot:
mw.widgets.CategorySelector: Add placeholder text

https://gerrit.wikimedia.org/r/323028